---
displayed_sidebar: entitiesSidebar
---

# Class: StagedJob

## Constructors

### constructor

• **new StagedJob**()

## Properties

### data

• **data**: `Record`<`string`, `unknown`\>

#### Defined in

[models/staged-job.ts:15](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/staged-job.ts#L15)

___

### event\_name

• **event\_name**: `string`

#### Defined in

[models/staged-job.ts:12](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/staged-job.ts#L12)

___

### id

• **id**: `string`

#### Defined in

[models/staged-job.ts:9](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/staged-job.ts#L9)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/staged-job.ts:17](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/staged-job.ts#L17)
